
Smart Proxy - Bug #21249

Check MS DHCP range versus start/end address configured in Foreman

10/09/2017 10:12 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.15.3

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/545

  

Description

Error when the range specified in Foreman is out of ms dhcp range, ex:

MS DHCP range: 100-150

Foreman range: 50-99

Foreman range: 50-100

Foreman range: 50-150

Foreman range: 100-200

Foreman range: 50-200

When requesting an ip:

E, [2017-10-09T13:25:54.561395 ] ERROR -- : Error looking up a free ip address in subnet 10.3.28.0

. One or more of the parameters were invalid.

D, [2017-10-09T13:25:54.561395 ] DEBUG -- : Error looking up a free ip address in subnet 10.3.28.0

. One or more of the parameters were invalid. (DhcpsApi::Error)

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/dhcpsapi-0.0.11/lib/dhcpsapi/misc.rb:30:in `get_free_ip_add

ress'

c:/smart-proxy/modules/dhcp_native_ms/dhcp_native_ms_main.rb:81:in `unused_ip'

c:/smart-proxy/modules/dhcp/dhcp_api.rb:34:in `block in <class:DhcpApi>'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1632:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1632:in `block in compile

!'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:991:in `block (3 levels) 

in route!'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1010:in `route_eval'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:991:in `block (2 levels) 

in route!'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1037:in `block in process

_route'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1035:in `catch'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1035:in `process_route'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:989:in `block in route!'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:988:in `each'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:988:in `route!'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1094:in `block in dispatc

h!'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1073:in `block in invoke'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1073:in `catch'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1073:in `invoke'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1091:in `dispatch!'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:923:in `block in call!'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1073:in `block in invoke'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1073:in `catch'
C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1073:in `invoke'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:923:in `call!'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:913:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-2.0.3/lib/rack/method_override.rb:22:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-2.0.3/lib/rack/common_logger.rb:33:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:231:in `call'

c:/smart-proxy/lib/proxy/log.rb:109:in `call'

c:/smart-proxy/lib/proxy/request_id_middleware.rb:9:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-protection-2.0.0/lib/rack/protection/xss_header.rb:18:

in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-protection-2.0.0/lib/rack/protection/path_traversal.rb

:16:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-protection-2.0.0/lib/rack/protection/json_csrf.rb:26:i

n `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-protection-2.0.0/lib/rack/protection/base.rb:50:in `ca

ll'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-protection-2.0.0/lib/rack/protection/base.rb:50:in `ca

ll'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-protection-2.0.0/lib/rack/protection/frame_options.rb:

31:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-2.0.3/lib/rack/null_logger.rb:9:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-2.0.3/lib/rack/head.rb:12:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/show_exceptions.rb:22:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:194:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1955:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1499:in `block in call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1726:in `synchronize'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/sinatra-2.0.0/lib/sinatra/base.rb:1499:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-2.0.3/lib/rack/urlmap.rb:68:in `block in call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-2.0.3/lib/rack/urlmap.rb:53:in `each'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-2.0.3/lib/rack/urlmap.rb:53:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-2.0.3/lib/rack/builder.rb:153:in `call'

C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-2.0.3/lib/rack/handler/webrick.rb:86:in `service'

C:/Ruby24-x64/lib/ruby/2.4.0/webrick/httpserver.rb:140:in `service'

C:/Ruby24-x64/lib/ruby/2.4.0/webrick/httpserver.rb:96:in `run'

C:/Ruby24-x64/lib/ruby/2.4.0/webrick/server.rb:290:in `block in start_thread'

Related issues:

Related to Smart Proxy - Bug #24816: MS DHCP cannot give free IP when it find... New

Associated revisions

Revision 3ab195f0 - 11/16/2017 07:35 PM - Anthony Chevalet 

Fixes #21249 - Check MS DHCP range versus start/end address

History

#1 - 10/09/2017 10:25 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/545 added

#2 - 11/16/2017 08:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3ab195f0c0f07b9518c91c96032fa233aee12db3.

#3 - 09/06/2018 06:46 AM - Lukas Zapletal

- Related to Bug #24816: MS DHCP cannot give free IP when it finds multiple pingable ip added
